geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Jencks (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (GERONIMO-6192) Problems in karaf with unspecified spec package versions
Date Thu, 10 May 2012 06:14:13 GMT

    [ https://issues.apache.org/jira/browse/GERONIMO-6192?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13272121#comment-13272121
] 

David Jencks commented on GERONIMO-6192:
----------------------------------------

I think it's 1.0.2-SNAPSHOT.  I don't think you should need to release this.  The only change
I see is to use the 1.1 version of stax 1.2 which doesn't version the javax.xml.namespace
package.  You should be able to specify that rather than the 1.0 version that's a dependency
of jaxb 2.2 version 1.0.1 using an exclusion in the bval pom.
                
> Problems in karaf with unspecified spec package versions
> --------------------------------------------------------
>
>                 Key: GERONIMO-6192
>                 URL: https://issues.apache.org/jira/browse/GERONIMO-6192
>             Project: Geronimo
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>    Affects Versions: 4.0
>            Reporter: David Jencks
>            Assignee: David Jencks
>
> It's tricky to get stuff to start in karaf without uses conflicts from jaxb and stax
packages in the jre and in our spec jars.  My current approach is to specify the versions
in our spec jars wherever plausible.  I'll try to mark changes like this with this commit
issue.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message